#include "logger.h"
void MessageHandler(QtMsgType type, const QMessageLogContext &context, const QString &msg)
{
    QString txt;
#if 0
    switch (type)
    {
    case QtDebugMsg:
        txt = QString("Debug: %1").arg(msg);//调试信息
        break;
    case QtInfoMsg:
        txt = QString("Info: %1").arg(msg);//一般信息
        break;
    case QtWarningMsg:
        txt = QString("Warning: %1").arg(msg);//警告信息
        break;
    case QtCriticalMsg:
        txt = QString("Critical: %1").arg(msg);//严重错误信息
        break;
    case QtFatalMsg:
        txt = QString("Fatal: %1").arg(msg);//致命错误信息
        break;
    }
#endif
    if(type != QtCriticalMsg )
    {
        return ;
    }
    txt =msg;// txt + QString(" line:%1").arg(context.line);

    QFile logFile("log.txt");
    logFile.open(QIODevice::WriteOnly | QIODevice::Append);
    QTextStream in(&logFile);
    in << txt << endl;
}
